Upload articles
curl --request POST \
--url https://api1.irisagent.com/v1/articles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"articles": [
{
"articleId": "<string>",
"url": "<string>",
"title": "<string>",
"body": "<string>",
"timeOfCreation": 123,
"timeLastPublished": 123,
"language": "<string>"
}
]
}
'import requests
url = "https://api1.irisagent.com/v1/articles"
payload = { "articles": [
{
"articleId": "<string>",
"url": "<string>",
"title": "<string>",
"body": "<string>",
"timeOfCreation": 123,
"timeLastPublished": 123,
"language": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
articles: [
{
articleId: '<string>',
url: '<string>',
title: '<string>',
body: JSON.stringify('<string>'),
timeOfCreation: 123,
timeLastPublished: 123,
language: '<string>'
}
]
})
};
fetch('https://api1.irisagent.com/v1/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}API Reference
Upload articles
Send knowledge base articles for AI training via this API
POST
/
v1
/
articles
Upload articles
Authorizations
The Authorization header is required to authenticate API requests.
It should contain a bearer token obtained through the IrisAgent portal.
Body
application/json
Show child attributes
Show child attributes
Response
Articles uploaded successfully
Available options:
success, partial ⌘I